Skip to main content
PATCH
Update a report definition

Authorizations

Authorization
string
header
required

Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or Authorization: YOUR_API_TOKEN. Each token has individual permissions; a valid token without the permission required by the method and route returns 403 TOKEN_PERMISSION_DENIED.

Path Parameters

id
integer
required
Required range: x >= 1

Body

application/json
name
any

Name.

type
any

Type.

format
any

Format.

show_addresses
any

Show addresses.

zones_addresses
any

Zones addresses.

show_trip_image
any

Show trip image.

stop_duration
any

Stop duration.

speed_limit
any

Speed limit.

imei
any

Imei.

zone_ids
any

Zone ids.

sensor_names
any

Sensor names.

data_items
any

Data items.

schedule_period
any

Schedule period.

schedule_email_address
any

Schedule email address.

dt_schedule_d
any

Dt schedule d.

dt_schedule_w
any

Dt schedule w.

Response

Successful response

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object